List Notes for a User
get
/public/v1/users/{user}/notesuserstringrequiredThe user UUID
filter[search]stringPartial match on the note content, or a date in d/m/Y format.
Example:performance reviewpage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of UserNoteResource
dataobject[]required▶Show 5 child attributesHide child attributes
idstringrequiredExample:n1o2t3e4-b5c6-47d8-9e0f-1a2b3c4d5e6fcontentstringrequiredExample:Performance review notes for Q1.created_atstringrequiredExample:2024-01-15T10:30:00+00:00updated_atstringrequiredExample:2024-01-15T11:05:00+00:00authorobject | nullrequired▶Show 2 child attributesHide child attributes
idstringrequiredExample:u1s2e3r4-b5c6-47d8-9e0f-1a2b3c4d5e6fnamestringrequiredExample:Jane Smith
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error404Not found